Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 317767 - dev-embedded/ponyprog-2.07a-r1 doesn't respect LDFLAGS
Summary: dev-embedded/ponyprog-2.07a-r1 doesn't respect LDFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High QA (vote)
Assignee: Embedded Team (OBSOLETE)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ldflags
  Show dependency tree
 
Reported: 2010-04-29 12:45 UTC by Samuli Suominen
Modified: 2010-08-09 21:00 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
adding epatch (ponyprog-2.07a-respect-flags.patch,882 bytes, patch)
2010-06-17 17:45 UTC, Kacper Kowalik (Xarthisius) (RETIRED)
Details | Diff
adding epatch (ponyprog-2.07a-r1.diff,712 bytes, text/plain)
2010-06-17 17:46 UTC, Kacper Kowalik (Xarthisius) (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Samuli Suominen gentoo-dev 2010-04-29 12:45:49 UTC
LDFLAGS="-Wl,--hash-style=gnu" with Portage 2.2,

g++ -o bin/ponyprog2000 e2app.o e2dlg.o e2cnv.o e2cmdw.o e2awinfo.o device.o e24xx.o e24xx-1.o e24xx-2.o e24xx-5.o e2401.o filebuf.o e2pfbuf.o binfbuf.o busio.o portint.o pgminter.o ponyioint.o rs232int.o easyi2c_interf.o ispinterf.o lptinterf.o lpt_io_interf.o lpt_ext_interf.o i2cbus.o crc.o infomdlg.o eeptypes.o profile.o e2profil.o intfbuf.o motsfbuf.o spi-bus.o at90sbus.o atmegabus.o at90sxx.o at89sbus.o at89sxx.o interfconv.o wait.o microbus.o at93cbus.o at93cxx.o at93cxx8.o at250bus.o at250bus2.o at250xx.o at25xxx.o picbus.o pic16xx.o picbusnew.o pic168xx.o pic12bus.o pic125xx.o sde2506.o sdebus.o avr1200bus.o filldlg.o retrymdlg.o fusemdlg.o progoption.o sernumdlg.o aboutmdlg.o sxbus.o imbus.o nvm3060.o at17xxx.o csmfbuf.o x2444.o x2444bus.o dt006interf.o -L/var/tmp/portage/dev-embedded/ponyprog-2.07a-r1/work/PonyProg2000-2.07a/v/lib -L/usr/X11R6/lib -lVx -lXaw -lXmu -lXt -lXext -lX11

* QA Notice: Files built without respecting LDFLAGS have been detected
*  Please include the following list of files in your report:
* /usr/bin/ponyprog2000
Comment 1 Kacper Kowalik (Xarthisius) (RETIRED) gentoo-dev 2010-06-17 17:45:35 UTC
Created attachment 235757 [details, diff]
adding epatch

also inheriting toolchain-funcs for CC and CXX
Comment 2 Kacper Kowalik (Xarthisius) (RETIRED) gentoo-dev 2010-06-17 17:46:06 UTC
Created attachment 235759 [details]
adding epatch
Comment 3 Samuli Suominen gentoo-dev 2010-06-17 18:31:29 UTC
applied